Skip to main content
POST
/
investors
/
{investor_id}
/
compliance
/
restart
Restart the compliance workflow for an investor
curl --request POST \
  --url https://api.bluumfinance.com/v1/investors/{investor_id}/compliance/restart \
  --header 'Authorization: Basic <encoded-value>'
{
  "workflowId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "complianceChecks": [
    {
      "workflow_id": "a1b2c3d4-e5f6-7890-abcd-ef1234567890",
      "check_type": "identity_verification",
      "status": "pending",
      "provider": "persona-identity",
      "external_id": "inq_abc123def456",
      "verification_url": "https://withpersona.com/verify?inquiry-id=inq_abc123def456",
      "verification_token": null
    }
  ]
}

Authorizations

Authorization
string
header
required

HTTP Basic Authentication using the API Key as username and API Secret as password.

Path Parameters

investor_id
string
required

The prefixed public id of the investor (e.g. inv_…).

Response

Compliance workflow re-initiated successfully.

workflowId
string<uuid>

The newly created compliance workflow ID.

status
enum<string>

Current workflow status. Typically IN_PROGRESS after initiation.

Available options:
IN_PROGRESS,
APPROVED,
REJECTED,
PENDING_REVIEW
complianceChecks
object[]

Per-check statuses with SDK handoff data for async providers.